#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "SettingsMatchDetailsSubPresenter.generated.h"

class UMenuSkillViewData;

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API USettingsMatchDetailsSubPresenter : public USubPresenter
{
	GENERATED_BODY()

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<UMenuSkillViewData*> _skillsViewData;

protected:
	UFUNCTION(BlueprintCallable)
	void OnPlayerInfoClicked(const FString& playerId);

public:
	USettingsMatchDetailsSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const USettingsMatchDetailsSubPresenter) { return 0; }
